Subject: bug#79353: 31.0.50; Eager macro expansion errors when building master

From: Michael Albinus <[email-masked]>
Date: Wed, 03 Sep 2025 19:34:44 +0200

Stefan Monnier <[email-masked]> writes:

Hi,

> So, I guess this suggests we should build the \N{...} table before we
> build the `loaddefs.el` and that should be doable without any new
> bootstrap issue since we have `ldefs-boot.el` to solve that dependency.

The definition of tramp-compat-password-colon-equivalents is temporarily
in Tramp. It will disappear, one Tramp is backward compatible down to
Emacs 30 only.

For the time being: wouldn't it be sufficient to define

--8<---------------cut here---------------start------------->8---
(defvar tramp-compat-password-colon-equivalents '(58 65306 65109 65043 6102))
--8<---------------cut here---------------end--------------->8---

Not a general solution of course, but maybe sufficient for this problem.

>         Stefan

Best regards, Michael.